doctype html
mixin title(title)
	if (activeBlockchain != "nexa")
		title [#{activeBlockchain.toUpperCase()}] - #{title}
	else
		title #{title}
html(lang="en")
	head
		meta(charset="utf-8")
		meta(name="csrf-token", content=csrfToken)
		meta(name="viewport", content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0, shrink-to-fit=no")

		link(rel="stylesheet", href="/css/fonts.css", integrity="sha384-XOmmu8j3C2MFUXRVGg8VWYNwlhEkSNb0rW/4e7bi3F56S6PejEmBUQDGZofQyjbL")
		link(rel="stylesheet", href="/css/highlight.min.css", integrity="sha384-zhIsEafzyQWHSoMCQ4BfT8ZlRXQyIFwAHAJn32PNdsb8n6tVysGZSLpEEIvCskw4")


		if (session.uiTheme && session.uiTheme == "dark")
			link(rel="stylesheet", href="/css/bootstrap-dark.min.css", integrity="sha384-yHrdw+uFPe64ykHEYlYL2lmT0s+veKi1+lmxNqB3jVMOl9iX0h9xDLxcgtFtiV6M")
			link(rel="stylesheet", href="/css/dark-touchups.css")
		else
			link(rel="stylesheet", href="/css/bootstrap.min.css", integrity="sha384-QO/VzYasHIIVEtFdqGXHU2wxSK0pjVxX4mrM68IQhYpi0vTCM0ZIuV/KQbPZMfXg")

		link(rel='stylesheet', href='/css/styling.css')

		link(rel="icon", type="image/x-icon", href=coinConfig.faviconUrl)

		include includes/debug-overrides.pug

		block headContent
			+title('Explorer')

	body.bg-dark
		nav.navbar.navbar-expand-lg.navbar-dark.bg-dark
			div.container
				a.navbar-brand(href="/")
					span
						if (coinConfig.specialLogo && coinConfig.specialLogo[activeBlockchain])
							- var slogo = coinConfig.specialLogo[activeBlockchain];
							img(src=slogo.url, width=slogo.width, height=slogo.height, alt=slogo.alt)
							if (slogo.span)
								span !{slogo.span}
						else
							img.header-image(src=coinConfig.logoUrl, alt="logo")

						if (coinConfig.siteTitlesByNetwork && coinConfig.siteTitlesByNetwork[activeBlockchain])
							span #{coinConfig.siteTitlesByNetwork[activeBlockchain]}
						else
							if (coinConfig.siteTitleHtml)
								span !{coinConfig.siteTitleHtml}
							else
								span #{coinConfig.siteTitle}

				button.navbar-toggler.navbar-toggler-right(type="button", data-toggle="collapse", data-target="#navbarNav", aria-label="collapse navigation")
					span.navbar-toggler-icon

				div.collapse.navbar-collapse(id="navbarNav")
					if (rpcClient)
						ul.navbar-nav.mr-auto

							if (activeBlockchain != "main")
								li.nav-item
									a.nav-link.text-warning(title=`Current node's chain: ${activeBlockchain}` data-toggle="tooltip") [#{activeBlockchain}]

							if (config.siteTools)
								li.nav-item.dropdown
									a.nav-link.dropdown-toggle(href="javascript:void(0)", role="button", data-toggle="dropdown", aria-haspopup="true", aria-expanded="false")
										span Tools
									divi.dropdown-menu.shadow(aria-label="Tools Items")
										each itemIndex in config.site.prioritizedToolIdsList
											- var item = config.siteTools[itemIndex];

											a.dropdown-item(href=item.url)
												i(class=item.fontawesome, style="width: 20px; margin-right: 10px;")
												span #{item.name}

							if (config.site.header.dropdowns)
								each dropdown, ddIndex in config.site.header.dropdowns
									li.nav-item.dropdown
										a.nav-link.dropdown-toggle(href="javascript:void(0)", role="button", data-toggle="dropdown", aria-haspopup="true", aria-expanded="false")
											span #{dropdown.title}
										div.dropdown-menu.shadow(aria-label=(dropdown.title + " Items"))
											each dropdownLink in dropdown.links
												a.dropdown-item(href=dropdownLink.url)
													if (dropdownLink.imgUrl)
														img(src=dropdownLink.imgUrl, style="width: 24px; height: 24px; margin-right: 8px;", alt=dropdownLink.name)
													span #{dropdownLink.name}


						form.form-inline.mr-3(method="post", action="/search")
							input(type="hidden", name="_csrf", value=csrfToken)
							div(class="input-group input-group-sm")
								input(type="text", class="form-control form-control-sm", name="query", placeholder="block height/hash, txid, txidem, address, outpoint", value=(query), style="width:280px;")
								div(class="input-group-append")
									button(type="submit", class="btn btn-primary")
										i(class="fas fa-search")


						ul(class="navbar-nav")
							li.nav-item.dropdown
								a.nav-link.dropdown-toggle(href="javascript:void(0)", role="button", data-toggle="dropdown", aria-haspopup="true", aria-expanded="false")
									span Admin Tools
								div.dropdown-menu.dropdown-menu-right.shadow(aria-label="Admin Tools Items")
									a.dropdown-item(href="/admin") Admin Dashboard
							li(class="nav-item dropdown")
								a(class="nav-link dropdown-toggle", href="javascript:void(0)", id="navbarDropdown", role="button", data-toggle="dropdown", aria-haspopup="true", aria-expanded="false")
									i(class="fas fa-cog mr-1")
								div(class="dropdown-menu dropdown-menu-right shadow", aria-labelledby="navbarDropdown")
									if (coinConfig.currencyUnits)
										span(class="dropdown-header") Currency Units
										each item in coinConfig.currencyUnits
											if (item.type == "native" || (config.queryExchangeRates && !config.privacyMode))
												a(class="dropdown-item", href=("/changeSetting?name=currencyFormatType&value=" + item.values[0]))
													each valueName in item.values
														if (currencyFormatType == valueName)
															i(class="fas fa-check")
													span #{item.name}

									span(class="dropdown-header") Theme
									a(class="dropdown-item", href="/changeSetting?name=uiTheme&value=light")
										if (session.uiTheme == "light" || session.uiTheme == "")
											i(class="fas fa-check")
										span Light
									a(class="dropdown-item", href="/changeSetting?name=uiTheme&value=dark")
										if (session.uiTheme == "dark")
											i(class="fas fa-check")
										span Dark

		if (host && port && !homepage && config.site.header.showToolsSubheader)
			div(id="sub-menu", class="container mb-2 pt-2 d-lg-block d-none border-top", style="")
				ul(class="nav")
					each item, index in config.siteTools
						li(class="nav-item")
							a(href=item.url, class="nav-link text-white px-2 text-decoration-underline")
								span #{item.name}

		- var bodyBgColor = "#ffffff;";
		if (session.uiTheme && session.uiTheme == "dark")
			- bodyBgColor = "#3C2F48;";

		div(class="pb-4 pt-3 pt-md-4", style=("background-color: " + bodyBgColor))
			div(class="container px-2 px-sm-3", style=("background-color: " + bodyBgColor))
				if (pageErrors && pageErrors.length > 0)
					include includes/page-errors-modal.pug

					div.alert.alert-danger
						- var errorText = `This page encountered ${pageErrors.length.toLocaleString()} error${pageErrors.length == 1 ? "" : "s"}:`;
						span.font-weight-bold #{errorText} 
						a(href="javascript:void(0)", data-toggle="modal", data-target="#pageErrorsModal") Error details

				div(style="min-height: 500px;")
					block content

				div(style="margin-bottom: 30px;")
					include ./includes/donation-modal.pug

		footer(class="footer border-top border-primary bg-dark pt-3 pb-1 px-3 text-white", style="border-width: 5px !important;")
			div(class="container")
				div(class="row")
					div(class="col-md-5")
						dl
							dt Source
							dd
								a(href="https://gitlab.com/nexa/explorer") https://gitlab.com/nexa/explorer

								if (global.sourcecodeProjectMetadata)
									div(class="mt-2")
										a(href="https://gitlab.com/nexa/explorer/-/starrers", class="btn btn-primary btn-sm mr-3 mb-1 text-decoration-none")
											i(class="fas fa-star mr-2")
											span(class="mr-2") Star
											span(class="badge bg-white text-dark") #{global.sourcecodeProjectMetadata.stargazers_count}

										a(href="https://gitlab.com/nexa/explorer/-/forks", class="btn btn-primary btn-sm mr-3 mb-1 text-decoration-none")
											i(class="fas fa-code-branch mr-2")
											span(class="mr-2") Fork
											span(class="badge bg-white text-dark") #{global.sourcecodeProjectMetadata.forks_count}



							dt App Details
							dd
								span version: #{global.appVersion}
								if (sourcecodeVersion)
									br
									// the following is not a trailing spaces
									span commit: 
										a(href=("https://gitlab.com/nexa/explorer/commit/" + sourcecodeVersion)) #{sourcecodeVersion}

								br

							if (config.demoSite)
								dt Public Demos
								dd
									if (coinConfig.demoSiteUrl)
										a(href=coinConfig.demoSiteUrl) #{coinConfig.demoSiteUrl}
									else
										a(href="https://btc-explorer.chaintools.io") https://btc-explorer.chaintools.io

									div(class="mt-2")
										- var demoSiteCoins = ["BCH"];
										each demoSiteCoin in demoSiteCoins
											a(href=coinConfigs[demoSiteCoin].demoSiteUrl, class="mr-2", title=coinConfigs[demoSiteCoin].siteTitle)
												img(src=("/img/logo/" + demoSiteCoin.toLowerCase() + ".svg"), alt=demoSiteCoin.toLowerCase())

					div(class="col-md-7 text-md-right")
						dl
							dd
								button.btn.btn-primary(type="button", class="btn btn-primary", data-toggle="modal", data-target="#exampleModalCenter")
									i(class="fas fa-heart mr-2")
									span Support Project

		script(src="/js/jquery.min.js", integrity="sha384-vk5WoKIaW/vJyUAd9n/wmopsmNhiy+L2Z+SBxGYnUkunIxVxAv/UtMOhba/xskxh")
		script(src="/js/popper.min.js", integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo")
		script(src="/js/bootstrap.min.js", integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6")
		script(defer, src="/js/fontawesome.min.js", integrity="sha384-eVEQC9zshBn0rFj4+TU78eNA19HMNigMviK/PU/FFjLXqa/GKPgX58rvt5Z8PLs7")

		script(src="/js/highlight.min.js", integrity="sha384-xLrpH5gNLD6HMLgeDH1/p4FXigQ8T9mgNm+EKtCSXL0OJ5i1bnSi57dnwFuUMM9/")

		script(src="/js/site.js", integrity="sha384-v/91ekPcT7McKahGike6yPpHuTSvYsPN6VMoXdM8VB1uTkCXqhwvGHUs1uxBodfK")

		script.
			$(document).ready(function() {
				$('[data-toggle="tooltip"]').tooltip();
				$('[data-toggle="popover"]').popover({html:true, container:"body"});
			});

			hljs.initHighlightingOnLoad();

		if (config.credentials.sentryUrl && config.credentials.sentryUrl.length > 0)
			script(src="/js/sentry.min.js", integrity="sha384-da/Bo2Ah6Uw3mlhl6VINMblg2SyGbSnULKrukse3P5D9PTJi4np9HoKvR19D7zOL", crossorigin="anonymous")
			script.
				Sentry.init({ dsn: '#{config.credentials.sentryUrl}' });

		if (config.credentials.googleAnalyticsTrackingId && config.credentials.googleAnalyticsTrackingId.trim().length > 0)
			script(async, src=("https://www.googletagmanager.com/gtag/js?id=" + config.credentials.googleAnalyticsTrackingId))
			script.
				window.dataLayer = window.dataLayer || [];
				function gtag(){dataLayer.push(arguments);}
				gtag('js', new Date());

				gtag('config', '#{config.credentials.googleAnalyticsTrackingId}');


		block endOfBody

